package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_order_combine_image_record 刀版图记录表
type FsOrderCombineImageRecord struct {
	Id           int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	OrderId      *int64     `gorm:"default:0;" json:"order_id"`                      // 订单id
	CartId       *int64     `gorm:"default:0;" json:"cart_id"`                       // 购物车id
	ProductId    *int64     `gorm:"default:0;" json:"product_id"`                    // 产品id
	CombineImage *string    `gorm:"default:'';" json:"combine_image"`                //
	GerentId     *int64     `gorm:"default:0;" json:"gerent_id"`                     // 操作人
	Ctime        *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
}
type FsOrderCombineImageRecordModel struct {
	db   *gorm.DB
	name string
}

func NewFsOrderCombineImageRecordModel(db *gorm.DB) *FsOrderCombineImageRecordModel {
	return &FsOrderCombineImageRecordModel{db: db, name: "fs_order_combine_image_record"}
}
